# Class CIM_ProtectedExtentBasedOn
extends CIM_BasedOn

Protected StorageExtents map to an underlying StorageExtent. This mapping includes information about the placement of check data on the underlying extent. The mapping is made explicit in this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BasedOn
|
+--CIM_ProtectedExtentBasedOn

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Protected StorageExtents map to an underlying StorageExtent. This mapping includes information about the placement of check data on the underlying extent. The mapping is made explicit in this association.
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BlockSize | uint64 |
Description | string | The block size of the protected space. Note that this is limited by the Antecedent->BlockSize. In SCC, this is equivalent to the NUMBER OF BYTES PER LBA_P field in the Redundancy Group P_Extent Descriptor.
MappingStrings | string | MIF.DMTF|Physical Extent|001.4
ModelCorrespondence | string | CIM_StorageExtent.BlockSize
PUnit | string | byte
Units | string | Bytes
NumberOfBlocks | uint64 |
Description | string | The size of the protected space. Note that this is limited by the Antecedent->NumberOfBlocks, but is included explicitly to provide for the DMTF MIF mapping. In SCC, this is equivalent to the NUMBER OF LBA_P(s) field in the Redundancy Group P_Extent Descriptor.
MappingStrings | string | MIF.DMTF|Physical Extent|001.3
ModelCorrespondence | string | CIM_StorageExtent.NumberOfBlocks
StartingAddress | uint64 |
Description | string | The starting logical block address of the underlying StorageExtent from which this protected StorageExtent is derived. In SCC, this is equivalent to the START LBA_P field in the Redundancy Group P_Extent Descriptor.
MappingStrings | string | MIF.DMTF|Physical Extent|001.2
Override | string | StartingAddress
UnitsBeforeCheckDataInterleave | uint64 |
Description | string | Number of bytes of user data to skip before starting the check data interleave.
MappingStrings | string | MIF.DMTF|Physical Extent|001.6
PUnit | string | byte
Units | string | Bytes
UnitsOfCheckData | uint64 |
Description | string | Number of bytes to be reserved for check data.
MappingStrings | string | MIF.DMTF|Physical Extent|001.7
PUnit | string | byte
Units | string | Bytes
UnitsOfUserData | uint64 |
Description | string | Number of bytes to be reserved for user data.
MappingStrings | string | MIF.DMTF|Physical Extent|001.8
PUnit | string | byte
Units | string | Bytes

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ProtectedExtentBasedOn | CIM_StorageExtent
Dependent | CIM_ProtectedExtentBasedOn | CIM_StorageExtent

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
EndingAddress | uint64 | CIM_BasedOn
OrderIndex | uint16 | CIM_BasedOn

## Class Methods